# Add LAGs

Add switch's multiple LAG settings.

Endpoint: POST /venues/{venueId}/switches/{switchId}/lags
Version: 0.4.0
Security: jwtAuth

## Path parameters:

  - `venueId` (string, required)

  - `switchId` (string, required)

## Request fields (application/json):

  - `name` (string)
    The name of the LAG interface.

  - `type` (string)
    The type of LAG protocol, such as static or LACP (Link Aggregation Control Protocol).
    Enum: "static", "dynamic"

  - `ports` (array)
    The set of physical port identifiers that are members of this LAG.

  - `taggedVlans` (array)
    The set of VLAN identifiers that are tagged on this LAG interface.

  - `untaggedVlan` (string)
    The VLAN identifier for untagged traffic on this LAG interface.

  - `forceUpPort` (string)
    The port identifier to force into an up state within the LAG.

## Response 201 fields (application/json):

  - `requestId` (string)
    The unique identifier for tracking this API operation request.

  - `response` (object)
    The response data containing the result of the operation.

  - `response.id` (string)

  - `response.lagId` (integer)
    The unique identifier of the LAG interface.

  - `response.name` (string)
    The name of the LAG interface.

  - `response.type` (string)
    The type of LAG protocol, such as static or LACP (Link Aggregation Control Protocol).
    Enum: "static", "dynamic"

  - `response.ports` (array)
    The set of physical port identifiers that are members of this LAG.

  - `response.taggedVlans` (array)
    The set of VLAN identifiers that are tagged on this LAG interface.

  - `response.untaggedVlan` (string)
    The VLAN identifier for untagged traffic on this LAG interface.

  - `response.forceUpPort` (string)
    The port identifier to force into an up state within the LAG.

## Response 400 fields (application/json):

  - `requestId` (string)
    The unique identifier for tracking this request.

  - `errors` (array)
    The list of error messages.

  - `errors.code` (string)
    Error code identifying the type of error (e.g., 'VALIDATION_ERROR', 'RESOURCE_NOT_FOUND').

  - `errors.message` (string)
    Human-readable error message describing what went wrong.

  - `errors.reason` (string)
    Detailed reason explaining why the error occurred.

  - `errors.suggestion` (string)
    Suggested action or solution to resolve the error.

  - `errors.object` (string)
    Name of the object or field that caused the error (e.g., 'username', 'ipAddress').

  - `errors.value` (any)
    The actual value that caused the error or validation failure.

  - `downloadUrl` (string)
    The download url of the import file.


